
#ifndef _AMBITCFG_H
#define _AMBITCFG_H

#define WW_VERSION           1 /* WW SKUs */
#define NA_VERSION           2 /* NA SKUs */
#define JP_VERSION           3
#define GR_VERSION           4
#define PR_VERSION           5
#define KO_VERSION           6
#define RU_VERSION           7
#define SS_VERSION           8
#define PT_VERSION           9
#define TWC_VERSION          10
#define BRIC_VERSION         11

#define WLAN_REGION          WW_VERSION
#define FW_REGION            WW_VERSION   /* true f/w region */


#define BOARD_ID_H1          "U12H163T01" /* WN3000RP */
#define BOARD_ID_H2          "U12H163T03" /* WN3000RPv2(WN3000RPv1h2) */


#define ISP_NO               0
#define ISP_VIRGIN           1
#define ISP_TDC              2
#define ISP_ESSENT           3
#define ISP_VCNA             4

#define ISP_VERSION          ISP_NO
/*formal version control*/
#define AMBIT_HARDWARE_VERSION     "U12H26600"
#define AMBIT_SOFTWARE_VERSION     "V1.0.0.6"
#define AMBIT_UI_VERSION           "1.0.12"
#define STRING_TBL_VERSION         "1.0.0.6_2.1.9.5"

#define AMBIT_PRODUCT_NAME          "WN3100RP"
#define AMBIT_PRODUCT_DESCRIPTION   "Netgear Wireless Router WN3100RP"
#define UPnP_MODEL_URL              "WN3100RP.aspx"
#define UPnP_MODEL_DESCRIPTION      "RangeMax NEXT"
#define UPnP_MODEL_NAME             "WN3100RP"

#define AMBIT_NVRAM_VERSION  "1" /* digital only */

#ifdef AMBIT_UPNP_SA_ENABLE /* Jasmine Add, 10/24/2006 */
#define SMART_WIZARD_SPEC_VERSION "0.7"  /* This is specification version of smartwizard 2.0 */
#endif

/****************************************************************************
 ***
 ***        put AMBIT features here!!!
 ***
 ***
 ****************************************************************************/

//#define WAN_IF_NAME_NUM     "vlan2"
#define WAN_IF_NAME_NUM     "vlan1"
#define LAN_IF_NAME_NUM     "vlan1"
#define WLAN_IF_NAME_NUM    "eth1"
#define WDS_IF_NAME_NUM     "wds0.1"    /* WDS interface */


#ifdef MULTIPLE_SSID
#define WLAN_BSS1_NAME_NUM          "wl0.1"     /* Multiple BSSID #2 */
#define WLAN_BSS2_NAME_NUM          "wl0.2"     /* Multiple BSSID #3 */
#define WLAN_BSS3_NAME_NUM          "wl0.3"     /* Multiple BSSID #4 */
#endif /* MULTIPLE_SSID */

/*definitions: GPIOs, MTD*/
#define GPIO_POWER_LED_GREEN        17
#define GPIO_POWER_LED_GREEN_STR    "17"
#define GPIO_POWER_LED_AMBER        16
#define GPIO_POWER_LED_AMBER_STR    "16"

#define GPIO_WAN_LED                21
#define ML1_MTD_RD                  "/dev/mtdblock/3"
#define ML1_MTD_WR                  "/dev/mtd/3"
#define ML2_MTD_RD                  "/dev/mtdblock/4"
#define ML2_MTD_WR                  "/dev/mtd/4"


#ifdef X_ST_ML
#define ML3_MTD_RD                  "/dev/mtdblock/5"
#define ML3_MTD_WR                  "/dev/mtd/5"
#define ML4_MTD_RD                  "/dev/mtdblock/6"
#define ML4_MTD_WR                  "/dev/mtd/6"
#define ML5_MTD_RD                  "/dev/mtdblock/7"
#define ML5_MTD_WR                  "/dev/mtd/7"
#define ML6_MTD_RD                  "/dev/mtdblock/8"
#define ML6_MTD_WR                  "/dev/mtd/8"
#define ML7_MTD_RD                  "/dev/mtdblock/9"
#define ML7_MTD_WR                  "/dev/mtd/9"
#define ML8_MTD_RD                  "/dev/mtdblock/10"
#define ML8_MTD_WR                  "/dev/mtd/10"

#define LANG_TBL_MTD_RD             "/dev/mtdblock/"
#define LANG_TBL_MTD_WR             "/dev/mtd/"

#define LANG_TBL_MTD_START          3
#define LANG_TBL_MTD_END            10
#define ST_SUPPORT_NUM              8        /* The maxium value can be 2-8. */
#define FLASH_MTD_ML_SIZE           0x10000
#define BUILTIN_LANGUAGE            "English"

#define ML_MTD_RD                   "/dev/mtdblock/"
#define ML_MTD_WR                   "/dev/mtd/"

#define TF1_MTD_RD                  "/dev/mtdblock/11"
#define TF1_MTD_WR                  "/dev/mtd/11"
#define TF2_MTD_RD                  "/dev/mtdblock/12"
#define TF2_MTD_WR                  "/dev/mtd/12"

#define POT_MTD_RD                  "/dev/mtdblock/13"
#define POT_MTD_WR                  "/dev/mtd/13"

#define BD_MTD_RD                   "/dev/mtdblock/14"
#define BD_MTD_WR                   "/dev/mtd/14"

#define NVRAM_MTD_RD                "/dev/mtdblock/15"
#define NVRAM_MTD_WR                "/dev/mtd/15"
#else
#define TF1_MTD_RD                  "/dev/mtdblock/5"
#define TF1_MTD_WR                  "/dev/mtd/5"
#define TF2_MTD_RD                  "/dev/mtdblock/6"
#define TF2_MTD_WR                  "/dev/mtd/6"

#define POT_MTD_RD                  "/dev/mtdblock/7"
#define POT_MTD_WR                  "/dev/mtd/7"

#define BD_MTD_RD                   "/dev/mtdblock/8"
#define BD_MTD_WR                   "/dev/mtd/8"

#define NVRAM_MTD_RD                "/dev/mtdblock/9"
#define NVRAM_MTD_WR                "/dev/mtd/9"
#endif


/* The following definition is used in acosNvramConfig.c and acosNvramConfig.h
 * to distingiush between Foxconn's and Broadcom's implementation.
 */
#define BRCM_NVRAM          /* use broadcom nvram instead of ours */

/* The following definition is to used as the key when doing des
 * encryption/decryption of backup file.
 * Have to be 7 octects.
 */
#define BACKUP_FILE_KEY         "NtgrBak"


#define DOCUMENT_URL		"http://downloadcenter.netgear.com/"


#endif /*_AMBITCFG_H*/
